UNIT mTFuellobjekt;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses ExtCtrls, Graphics, mTZeichenobjekt;

type
  TFuellobjekt = class(TZeichenobjekt)

  private //Attribute
    Fuellfarbe : Tcolor;

  public //Methoden
    constructor create (LF: TColor; FF: TColor); virtual;
    procedure SetzeFuellfarbe (pFuellfarbe: Tcolor); virtual;
    procedure Zeichnen (PB: TPaintbox); override;
    function GibFuellfarbe : Tcolor; virtual;
   end;

implementation

//+---------------------------------------------------------------------
//|         TFuellobjekt: Methodendefinition 
//+---------------------------------------------------------------------

//-------- create (public) ---------------------------------------------
constructor TFuellobjekt.create (LF: TColor; FF: TColor);
begin
  inherited create(LF);
  SetzeFuellfarbe(FF);
end;

//-------- SetzeFuellfarbe (public) ------------------------------------
procedure TFuellobjekt.SetzeFuellfarbe (pFuellfarbe: Tcolor);
begin
  Fuellfarbe := pFuellfarbe
end;

//-------- Zeichnen (public) -------------------------------------------
procedure TFuellobjekt.Zeichnen (PB: TPaintbox);
begin
  inherited Zeichnen(PB);
  PB.Canvas.Brush.Color:= Fuellfarbe;
  pb.canvas.Brush.Style:= bsSolid;
end;

//-------- GibFuellfarbe (public) --------------------------------------
function TFuellobjekt.GibFuellfarbe : Tcolor;
begin
  result  := Fuellfarbe
end;

end.
