unit U_GUI;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, mTZeichenobjekt, mTRechteck, mTKReis, mtEllipse, mTQuadrat, mTPunkt, mTLinie, mtGrafikobjekte;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    PaintBox1: TPaintBox;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Shape_Fuellung: TShape;
    Label1: TLabel;
    Shape_Linie: TShape;
    Label2: TLabel;
    cd: TColorDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PaintBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Shape_FuellungMouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Shape_LinieMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button9Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { Private declarations }
    Grafikliste: TGrafikliste;
    Zeichentyp: integer;
    Punkteanzahl: integer;
    Punkte: array[1..3] of TPoint;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Zeichentyp:= 1 // Rechteck;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Zeichentyp:= 2 // Kreis;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Zeichentyp:= 3 // Ellipse;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Zeichentyp:= 4 // Quadrat
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Zeichentyp:= 5 // Linie
end;


procedure TForm1.Button6Click(Sender: TObject);
begin
  Zeichentyp:= 6 // Punkt
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Grafikliste.refresh;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Grafikliste:= TGrafikliste.Create(Paintbox1);
  Zeichentyp:= 0;
  Punkteanzahl:= 0;
end;

procedure TForm1.PaintBox1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var o: TZeichenobjekt;
    dx,dy: double;
    r: integer;
begin
  inc(Punkteanzahl);
  Punkte[Punkteanzahl].X:= x;
  Punkte[Punkteanzahl].y:= y;
  if Zeichentyp=1
  then begin
         if Punkteanzahl=2
         then begin
                o:= TRechteck.create(Punkte[1].x,Punkte[1].y,punkte[2].x,punkte[2].y,shape_Linie.Brush.color,shape_fuellung.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else if Zeichentyp=2
  then begin
         if Punkteanzahl=2
         then begin
                dx:= punkte[1].x-punkte[2].x;
                dy:= punkte[1].y-punkte[2].y;
                r:= trunc(sqrt(sqr(dx)+sqr(dy)));
                o:= TKreis.create(Punkte[1].x,Punkte[1].y,r,shape_Linie.Brush.color,shape_fuellung.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else if Zeichentyp=3
  then begin
         if Punkteanzahl=2
         then begin
                o:= TEllipse.create((Punkte[1].x+Punkte[2].x) div 2,(Punkte[1].y+Punkte[2].y) div 2,abs(punkte[1].x-punkte[2].x) div 2,abs(punkte[2].y-punkte[1].y) div 2,shape_Linie.Brush.color,shape_fuellung.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else if Zeichentyp=4
  then begin
         if Punkteanzahl=2
         then begin
                o:= TQuadrat.create(Punkte[1].x,Punkte[1].y,punkte[2].x,punkte[2].y,shape_Linie.Brush.color,shape_fuellung.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else if Zeichentyp=5
  then begin
         if Punkteanzahl=2
         then begin
                o:= TLinie.create(Punkte[1].x,Punkte[1].y,punkte[2].x,punkte[2].y,shape_Linie.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else if Zeichentyp=6
  then begin
         if Punkteanzahl=1
         then begin
                o:= TPunkt.create(Punkte[1].x,Punkte[1].y,shape_Linie.Brush.color);
                o.Zeichnen(Paintbox1);
                Grafikliste.insert(o);
                Punkteanzahl:= 0;
              end;
       end
  else punkteanzahl:= 0;

end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  Grafikliste.toFirst;
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  Grafikliste.toLast;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  Grafikliste.delete;
end;

procedure TForm1.Shape_FuellungMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  cd.Color:= shape_Fuellung.Brush.color;
  if cd.Execute
  then shape_Fuellung.Brush.color:= cd.color;
end;

procedure TForm1.Shape_LinieMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  cd.Color:= shape_Linie.Brush.color;
  if cd.Execute
  then shape_Linie.Brush.color:= cd.color;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  Grafikliste.next;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  Grafikliste.previous;
end;

end.
